/** Double-include prevention */
#if defined _unloze_zones_included_
  #endinput
#endif
#define _unloze_zones_included_
 
/**
 * Called when client Enters a zone
 *
 * @int    Client entering zone.
 * @char    name of the zone.
 */

forward void unloze_zoneEntry(int client, char[] zone);

/**
 * Called when client Leaves a zone
 *
 * @int    Client leaving zone.
 * @char    name of the zone.
 */

forward void unloze_zoneLeave(int client, char[] zone);

/**
 * @int zone index
 * @char modifies the zone indexes name
 */
native void ZoneNameBasedOnIndex(int index, char[] callbackresult);

/**
* @returns total count of zones
*/
native int unloze_zoneCount();